org.apache.uima.camel

## Class UimaAsProducer

- java.lang.Object
- - org.apache.camel.support.ServiceSupport
  - - org.apache.camel.impl.DefaultProducer
    - - org.apache.uima.camel.UimaAsProducer

- All Implemented Interfaces:
    org.apache.camel.AsyncProcessor, org.apache.camel.EndpointAware, org.apache.camel.IsSingleton, org.apache.camel.Processor, org.apache.camel.Producer, org.apache.camel.Service, org.apache.camel.ShutdownableService, org.apache.camel.StatefulService, org.apache.camel.SuspendableService

      public class UimaAsProducer
      extends org.apache.camel.impl.DefaultProducer
      implements org.apache.camel.AsyncProcessor

  The `UimaAsProducer` sends the body of a message to a UIMA AS processing pipeline. Configuration URI: uimadriver:authority?queue="nameofqueue" For example: uimadriver:tcp://localhost:61616?queue=TextAnalysisQueue

- - ### Field Summary

    - ### Fields inherited from class org.apache.camel.impl.DefaultProducer

      `log`

    - ### Fields inherited from class org.apache.camel.support.ServiceSupport

      `shutdown, shuttingdown, started, starting, stopped, stopping, suspended, suspending`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UimaAsProducer(String brokerAddress, String queue, Integer casPoolSize, Integer timeout, org.apache.camel.Endpoint endpoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(org.apache.camel.Exchange exchange)` Not implemented, since the producer implements the AsyncProcessor interface.
    `boolean` | `process(org.apache.camel.Exchange exchange, org.apache.camel.AsyncCallback callback)`

    - ### Methods inherited from class org.apache.camel.impl.DefaultProducer

      `createExchange, createExchange, createExchange, doStart, doStop, getEndpoint, isSingleton, toString`

    - ### Methods inherited from class org.apache.camel.support.ServiceSupport

      `doResume, doShutdown, doSuspend, getStatus, getVersion, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.camel.Service

      `start, stop`

- - ### Constructor Detail

    - #### UimaAsProducer

          public UimaAsProducer(String brokerAddress,
                                String queue,
                                Integer casPoolSize,
                                Integer timeout,
                                org.apache.camel.Endpoint endpoint)
                         throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### process

          public void process(org.apache.camel.Exchange exchange)
                       throws Exception

      Not implemented, since the producer implements the AsyncProcessor interface.
      Specified by:
        `process` in interface `org.apache.camel.Processor`
      Throws:
        `Exception`

    - #### process

          public boolean process(org.apache.camel.Exchange exchange,
                                 org.apache.camel.AsyncCallback callback)

      Specified by:
        `process` in interface `org.apache.camel.AsyncProcessor`

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.